This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 241886 - yum fails to fallback to .xml files when .sqlite files are missing
yum fails to fallback to .xml files when .sqlite files are missing
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 10:07 EDT by Josh Boyer
Modified: 2014-01-21 17:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2007-05-31 10:07:40 EDT
Description of problem:

Yum errors out when there are no .sqlite.bz2 files present in the repodata directory

Version-Release number of selected component (if applicable):

[jwboyer@zod yum.repos.d]$ rpm -q yum
yum-3.2.0-1.fc7

How reproducible:

Always, I guess

Steps to Reproduce:
1. Have an empty repository with all of the .xml.gz files but no .sqlite.bz2 files
2. Do a 'yum update'
3.
  
Actual results:

Yum errors out on finding the sqlite.bz2 file and gives up.

Expected results:

A brief conversation with Seth suggested that yum should fall back to using the
xml files.  I could be mistaken.

Additional info:

Error message below (mirror name changed to protect the innocent)

updates                   100% |=========================| 1.9 kB    00:00     
http://x.x.x/pub/mirrors/fedora.redhat.com/updates/7/i386/repodata/primary.sqlite.bz2:
[Errno 14] HTTP Error 404: Date: Thu, 31 May 2007 13:46:44 GMT
Server: Apache
X-Powered-By: PHP/4.3.9
Set-Cookie: PHPSESSID=a2d392ded8ec5bb7303a988b3db20596; path=/
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Content-Length: 7028
Connection: close
Content-Type: text/html; charset=UTF-8

Trying other mirror.
Error: failure: repodata/primary.sqlite.bz2 from updates: [Errno 256] No more
mirrors to try.
Comment 1 Seth Vidal 2007-08-03 16:31:40 EDT
Can you test this against yum 3.2.1 in f7 or 3.2.2 in updates-testing? I think I
caught this but I can't remember when
Comment 2 Jeremy Katz 2007-09-13 14:09:55 EDT
Closing due to lack of activity; if you have further information please reopen
this report

Note You need to log in before you can comment on or make changes to this bug.